package db

import (
	. "app.yhyue.com/moapp/jybase/mysql"
	"github.com/zeromicro/go-zero/core/logx"
)

var (
	Mysql_BaseService *Mysql
)

func InitMysql(m *Mysql) {
	Mysql_BaseService = &Mysql{
		Address:      m.Address,
		UserName:     m.UserName,
		PassWord:     m.PassWord,
		DBName:       m.DBName,
		MaxOpenConns: m.MaxOpenConns,
		MaxIdleConns: m.MaxIdleConns,
	}
	Mysql_BaseService.Init()
	logx.Info("初始化 mysql baseService")
}
